Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class OrderedTupleTypeImpl

    java.lang.Object
      EClassImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.OrderedTupleTypeImpl

All Implemented Interfaces:
  OrderedTupleType

    public class OrderedTupleTypeImpl

extends EClassImpl
implements OrderedTupleType

An implementation of the model object 'Ordered Tuple Type'.

The following features are implemented:

- `Element Type`

Field Summary
`protected` | `elementType` The cached value of the '`Element Type`' reference list

Constructor Summary
`protected` | `OrderedTupleTypeImpl()`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`` | `getElementType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementType

    protected  elementType

  The cached value of the '`Element Type`' reference list.

  See Also:
    `getElementType()`

Constructor Detail

### OrderedTupleTypeImpl

    protected OrderedTupleTypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

### getElementType

    public  getElementType()

  Specified by:
    `getElementType` in interface `OrderedTupleType`
  Returns:
    the value of the 'Element Type' reference list.
  See Also:
    `ImperativeOCLPackage.getOrderedTupleType_ElementType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD